<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/ffmpeg-jami-remove-mjpeg-log.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='5c0f77f4241c9beac0c82deae946bfdc70b49ff0'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojt</td></tr></table>
<table class='tabs'><tr><td></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=5c0f77f4241c9beac0c82deae946bfdc70b49ff0'>refs</a><a class='active' href='/guix/log/gnu/packages/patches/ffmpeg-jami-remove-mjpeg-log.patch'>log</a><a href='/guix/tree/gnu/packages/patches/ffmpeg-jami-remove-mjpeg-log.patch?id=5c0f77f4241c9beac0c82deae946bfdc70b49ff0'>tree</a><a href='/guix/commit/gnu/packages/patches/ffmpeg-jami-remove-mjpeg-log.patch?id=5c0f77f4241c9beac0c82deae946bfdc70b49ff0'>commit</a><a href='/guix/diff/gnu/packages/patches/ffmpeg-jami-remove-mjpeg-log.patch?id=5c0f77f4241c9beac0c82deae946bfdc70b49ff0'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/ffmpeg-jami-remove-mjpeg-log.patch'>
<input type='hidden' name='id' value='5c0f77f4241c9beac0c82deae946bfdc70b49ff0'/><select name='qt'>
<option value=<pre>
https://sources.debian.org/data/main/b/beancount/2.2.0-3/debian/patches/0001-Remove-fonts.googleapis.com-links-for-the-bean-web-t.patch

From: Nicolas Dandrimont &lt;nicolas@dandrimont.eu&gt;
Date: Tue, 1 May 2018 04:49:55 +0200
Subject: Remove fonts.googleapis.com links for the bean-web template

---
 beancount/web/web.html | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/beancount/web/web.html b/beancount/web/web.html
index 3995ce2..ec9e707 100644
--- a/beancount/web/web.html
+++ b/beancount/web/web.html
@@ -3,10 +3,6 @@
   &lt;head&gt;
     &lt;meta content=&quot;text/html; charset=utf-8&quot; http-equiv=&quot;Content-Type&quot; /&gt;
 
-    &lt;link href=&quot;https://fonts.googleapis.com/css?family=Roboto+Condensed:400italic,700italic,700,400&quot; rel=&quot;stylesheet&quot; type=&quot;text/css&quot; /&gt;
-    &lt;link href=&quot;https://fonts.googleapis.com/css?family=Roboto:400italic,700italic,700,400&quot; rel=&quot;stylesheet&quot; type=&quot;text/css&quot; /&gt;
-    &lt;link href=&apos;https://fonts.googleapis.com/css?family=Droid+Sans+Mono&apos; rel=&apos;stylesheet&apos; type=&apos;text/css&apos; /&gt;
-
     &lt;link href=&quot;/resources/web.css&quot; rel=&quot;stylesheet&quot; type=&quot;text/css&quot; /&gt;
     &lt;title&gt;{{title}}: {{pagetitle}}&lt;/title&gt;
 </pre>
</div></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
es/patches/ffmpeg-jami-change-RTCP-ratio.patch: New file.
* gnu/packages/patches/ffmpeg-jami-rtp_ext_abs_send_time.patch: Likewise.
* gnu/packages/patches/ffmpeg-jami-libopusdec-enable-FEC.patch: Likewise.
* gnu/packages/patches/ffmpeg-jami-libopusenc-enable-FEC.patch: Likewise.
* gnu/packages/patches/ffmpeg-jami-libopusenc-reload-packet-loss-at-encode.patch:
Likewise.
* gnu/packages/patches/ffmpeg-jami-remove-mjpeg-log.patch: Likewise.
* gnu/packages/patches/ffmpeg-jami-screen-sharing-x11-fix.patch: Likewise.
* gnu/local.mk (dist_patch_DATA): Register them.
* gnu/packages/jami.scm (jami-apply-custom-patches): Delete procedure.
(%ffmpeg-default-configure-flags): Delete variable.
(ffmpeg-compose-configure-flags): Delete procedure.
(ffmpeg-jami): Move to...
* gnu/packages/video.scm (ffmpeg-jami): ... here.  Apply patches to origin and
repatriate configure flags.

Change-Id: Id374fae18240cd76b224915d80b61422635ccb77
</span></span></td><td>Maxim Cournoyer</td></tr>