<!DOCTYPE html>
<html lang='en'>
<head>
<title>.patman - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/.patman?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='00dc16da54d30815fa96709da7dcd24d0cf53d49'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a class='active' href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>refs</a><a href='/guix/log/'>log</a><a href='/guix/tree/?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>tree</a><a href='/guix/commit/?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>commit</a><a href='/guix/diff/?id=ff777165cb7f82a3300cb97a05daf1641857ce04'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/'>
<input type='hidden' name='id' value='ff777165cb7f82a3300cb97a05daf1641857ce04'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='content'><div id='summary'><pre>
Author: Antero Mejr &lt;antero@mailbox.org&gt;
Notes: Disabled function visibility hacks. Enabled non-static builds.

diff --git a/deps/clog/CMakeLists.txt b/deps/clog/CMakeLists.txt
index 6e50c41..db02e95 100644
--- a/deps/clog/CMakeLists.txt
+++ b/deps/clog/CMakeLists.txt
@@ -55,7 +55,7 @@ IF(CLOG_BUILD_TESTS)
 ENDIF()
 
 # ---[ clog library
-ADD_LIBRARY(clog STATIC src/clog.c)
+ADD_LIBRARY(clog src/clog.c)
 SET_TARGET_PROPERTIES(clog PROPERTIES
   C_STANDARD 99
   C_EXTENSIONS NO)
diff --git a/deps/clog/include/clog.h b/deps/clog/include/clog.h
index 4143761..aa9000f 100644
--- a/deps/clog/include/clog.h
+++ b/deps/clog/include/clog.h
@@ -11,16 +11,6 @@
 #define CLOG_INFO 4
 #define CLOG_DEBUG 5
 
-#ifndef CLOG_VISIBILITY
-	#if defined(__ELF__)
-		#define CLOG_VISIBILITY __attribute__((__visibility__(&quot;internal&quot;)))
-	#elif defined(__MACH__)
-		#define CLOG_VISIBILITY __attribute__((__visibility__(&quot;hidden&quot;)))
-	#else
-		#define CLOG_VISIBILITY
-	#endif
-#endif
-
 #ifndef CLOG_ARGUMENTS_FORMAT
 	#if defined(__GNUC__)
 		#define CLOG_ARGUMENTS_FORMAT __attribute__((__format__(__printf__, 1, 2)))
@@ -33,11 +23,11 @@
 extern &quot;C&quot; {
 #endif
 
-CLOG_VISIBILITY void clog_vlog_debug(const char* module, const char* format, va_list args);
-CLOG_VISIBILITY void clog_vlog_info(const char* module, const char* format, va_list args);
-CLOG_VISIBILITY void clog_vlog_warning(const char* module, const char* format, va_list args);
-CLOG_VISIBILITY void clog_vlog_error(const char* module, const char* format, va_list args);
-CLOG_VISIBILITY void clog_vlog_fatal(const char* module, const char* format, va_list args);
+void clog_vlog_debug(const char* module, const char* format, va_list args);
+void clog_vlog_info(const char* module, const char* format, va_list args);
+void clog_vlog_warning(const char* module, const char* format, va_list args);
+void clog_vlog_error(const char* module, const char* format, va_list args);
+void clog_vlog_fatal(const char* module, const char* format, va_list args);
 
 #define CLOG_DEFINE_LOG_DEBUG(log_debug_function_name, module, level) \
 	CLOG_ARGUMENTS_FORMAT \
</pre>
</div></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>