<!DOCTYPE html>
<html lang='en'>
<head>
<title>agg-2.5-gcc8.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/agg-2.5-gcc8.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='ea832b44b79fb06bac88679029773006fea15827'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></f</td></tr></table>
<table class='tabs'><tr><td>
<a class='active' href='/guix/about/'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=ea832b44b79fb06bac88679029773006fea15827'>refs</a><a href='/guix/log/gnu/packages/patches/agg-2.5-gcc8.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/agg-2.5-gcc8.patch?id=ea832b44b79fb06bac88679029773006fea15827'>tree</a><a href='/guix/commit/gnu/packages/patches/agg-2.5-gcc8.patch?id=ea832b44b79fb06bac88679029773006fea15827'>commit</a><a href='/guix/diff/gnu/packages/patches/agg-2.5-gcc8.patch?id=ea832b44b79fb06bac88679029773006fea15827'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/agg-2.5-gcc8.patch'>
<input type='hidden' name='id' value='ea832b44b79fb06bac88679029773006fea15827'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author<</div></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
f='/guix/tree/gnu?id=ea832b44b79fb06bac88679029773006fea15827'>gnu</a>/<a href='/guix/tree/gnu/packages?id=ea832b44b79fb06bac88679029773006fea15827'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=ea832b44b79fb06bac88679029773006fea15827'>patches</a>/<a href='/guix/tree/gnu/packages/patches/agg-2.5-gcc8.patch?id=ea832b44b79fb06bac88679029773006fea15827'>agg-2.5-gcc8.patch</a></div><div class='content'>blob: dfcfc6cd4ae82058e680b59e791e98fcce711840 (<a href='/guix/about/gnu/packages/patches/agg-2.5-gcc8.patch?id=ea832b44b79fb06bac88679029773006fea15827'>about</a>) (<a href='/guix/plain/gnu/packages/patches/agg-2.5-gcc8.patch?id=ea832b44b79fb06bac88679029773006fea15827'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
</pre></td>
<td class='lines'><pre><code>Taken from: https://gitweb.gentoo.org/repo/gentoo.git/tree/x11-libs/agg/files/agg-2.5-gcc8.patch.

diff -uprN agg-2.5/include/agg_renderer_outline_aa.h agg-2.5-fixed/include/agg_renderer_outline_aa.h
--- agg-2.5/include/agg_renderer_outline_aa.h	2018-08-25 02:02:52.507254241 +0800
+++ agg-2.5-fixed/include/agg_renderer_outline_aa.h	2018-08-25 02:04:15.291175316 +0800
@@ -1375,7 +1375,7 @@ namespace agg
         //---------------------------------------------------------------------
         void profile(const line_profile_aa&amp; prof) { m_profile = &amp;prof; }
         const line_profile_aa&amp; profile() const { return *m_profile; }
-        line_profile_aa&amp; profile() { return *m_profile; }
+        const line_profile_aa&amp; profile() { return *m_profile; }
 
         //---------------------------------------------------------------------
         int subpixel_width() const { return m_profile-&gt;subpixel_width(); }
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>