<!DOCTYPE html>
<html lang='en'>
<head>
<title>browser-extension - A Web Extension to facilitate replacing sites' js with user-supplied scripts</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/browser-extension/atom/compute_scripts.awk?h=v2.0' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/browser-extension/'>browser-extension</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='07a883feeeea63cc23fb5100a0618f29b0a5da9f'/><select name='h' onchange='this.form.submit();'>
<option value='build-sys'>build-sys</option>
<option value='jahoti'>jahoti</option>
<option value='jahoti-update'>jahoti-update</option>
<option value='koszko'>koszko</option>
<option value='master'>master</option>
<option value='nick'>nick</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>A Web Extension to facilitate replacing sites' js with user-supplied scripts</td><td class='sub right'><a href='/guix/commit/?id=5deb0c670de30689b7019f00f7b67af84f6056d3'>commit</a><a href='/guix/diff/?id=5deb0c670de30689b7019f00f7b67af84f6056d3'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/'>
<input type='hidden' name='id' value='5deb0c670de30689b7019f00f7b67af84f6056d3'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='content'><div id='summary'><pre>
Don&apos;t build the GCTP bundled with the source and link with the
system&apos;s -lgctp instead.  We also remove references to the
&quot;testdrivers&quot; directory, which is not distributed together with the
source, causing autoreconf to fail.

diff --git a/Makefile.in b/Makefile.in
index d468af2..90428a7 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -206,7 +206,7 @@ LIBGCTP = $(top_builddir)/gctp/src/libGctp.la
 @TESTDRIVERS_CONDITIONAL_TRUE@TESTDRIVERS = testdrivers
 @INSTALL_INCLUDE_CONDITIONAL_FALSE@INCLUDE = 
 @INSTALL_INCLUDE_CONDITIONAL_TRUE@INCLUDE = include
-SUBDIRS = gctp src $(INCLUDE) samples $(TESTDRIVERS)
+SUBDIRS = src $(INCLUDE) samples $(TESTDRIVERS)
 all: all-recursive
 
 .SUFFIXES:
diff --git a/include/Makefile.in b/include/Makefile.in
index 9938b23..afb7f40 100644
--- a/include/Makefile.in
+++ b/include/Makefile.in
@@ -190,7 +190,7 @@ LIBGCTP = $(top_builddir)/gctp/src/libGctp.la
 # Boilerplate include
 
 # Headers to install
-include_HEADERS = HE2_config.h HdfEosDef.h HDFEOSVersion.h cfortHdf.h ease.h
+include_HEADERS = HdfEosDef.h HDFEOSVersion.h cfortHdf.h ease.h
 all: HE2_config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-am
 
diff --git a/samples/Makefile.in b/samples/Makefile.in
index 9da6e28..6a6186c 100644
--- a/samples/Makefile.in
+++ b/samples/Makefile.in
@@ -108,7 +108,6 @@ AppendField_SOURCES = AppendField.c
 AppendField_OBJECTS = AppendField.$(OBJEXT)
 AppendField_LDADD = $(LDADD)
 am__DEPENDENCIES_1 = $(top_builddir)/src/libhdfeos.la
-am__DEPENDENCIES_2 = $(top_builddir)/gctp/src/libGctp.la
 AppendField_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2)
 DefineFields_SOURCES = DefineFields.c
 DefineFields_OBJECTS = DefineFields.$(OBJEXT)
@@ -481,7 +480,7 @@ sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 LIBHDFEOS2 = $(top_builddir)/src/libhdfeos.la
-LIBGCTP = $(top_builddir)/gctp/src/libGctp.la
+LIBGCTP =
 
 # Boilerplate definitions file
 
-- 
2.10.0

</pre>
</div></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>